Subject: [PCN] [Technical Errata Reported] RFC5559 (3164)

From: RFC Errata System <[email-masked]>
Date: Fri, 23 Mar 2012 13:53:27 -0700 (PDT)

The following errata report has been submitted for RFC5559,
"Pre-Congestion Notification (PCN) Architecture".

--------------------------------------
You may review the report below and at:
http://www.rfc-editor.org/errata_search.php?rfc=5559&eid=3164

--------------------------------------
Type: Technical
Reported by: Bob Briscoe <[email-masked]>

Section: 4.2

Original Text
-------------
   o  Police - police, by dropping any packets received with a DSCP
      indicating PCN transport that do not belong to an admitted flow.
      (A prospective PCN-flow that is rejected could be blocked or
      admitted into a lower-priority behaviour aggregate.)

Corrected Text
--------------
   o  Police - drop or re-mark to a lower-priority behaviour aggregate
      i) packets received with a DSCP indicating PCN transport that do not
      belong to an admitted flow and ii) packets that are part of a flow
      that asked to be admitted as a PCN-flow but was rejected.

Notes
-----
In the original text the first sentence contradicts the parenthesis. It could be interpreted to mean that dropping is the only allowed policing action, whereas the parenthesis shows that downgrading was also considered appropriate.

Also the original text used the term 'blocking' as a different action to 'downgrading', whereas Section 3.6 just above this text has said '"Blocking" means it is dropped or downgraded to a lower-priority behaviour aggregate,...'

Instructions:
-------------
This errata is currently posted as "Reported". If necessary, please
use "Reply All" to discuss whether it should be verified or
rejected. When a decision is reached, the verifying party (IESG)
can log in to change the status and edit the report, if necessary. 

--------------------------------------
RFC5559 (draft-ietf-pcn-architecture-11)
--------------------------------------
Title               : Pre-Congestion Notification (PCN) Architecture
Publication Date    : June 2009
Author(s)           : P. Eardley, Ed.
Category            : INFORMATIONAL
Source              : Congestion and Pre-Congestion Notification
Area                : Transport
Stream              : IETF
Verifying Party     : IESG

---

From: <[email-masked]>
Date: Fri, 23 Mar 2012 21:48:39 +0000

Hi Bob,
Regarding the rephrased text:

Police - drop or re-mark to a lower-priority behaviour aggregate
      i) packets received with a DSCP indicating PCN transport that do not
      belong to an admitted flow and ii) packets that are part of a flow
      that asked to be admitted as a PCN-flow but was rejected.

Why should we mandate that it should be remarked to a lower-priority behaviour aggregate?

Is it acceptable to rephrase the text in the following way ("another" instead of "low-priority"). In my opinion the PCN-ingress-node should be able, depending on a local policy, to either drop the packet or remarked it to another behaviour aggregate:

Police - drop or re-mark to another behaviour aggregate
      i) packets received with a DSCP indicating PCN transport that do not
      belong to an admitted flow and ii) packets that are part of a flow
      that asked to be admitted as a PCN-flow but was rejected.

Best regards,
Georgios

________________________________________
Van: [email-masked] [[email-masked]] namens RFC Errata System [[email-masked]]
Verzonden: vrijdag 23 maart 2012 21:53
Aan: [email-masked]; [email-masked]; [email-masked]; [email-masked]; [email-masked]
CC: [email-masked]; [email-masked]
Onderwerp: [PCN] [Technical Errata Reported] RFC5559 (3164)

Section: 4.2

Original Text
-------------

Corrected Text
--------------

Notes
-----

Instructions:
-------------

--------------------------------------
RFC5559 (draft-ietf-pcn-architecture-11)
--------------------------------------
Title               : Pre-Congestion Notification (PCN) Architecture
Publication Date    : June 2009
Author(s)           : P. Eardley, Ed.
Category            : INFORMATIONAL
Source              : Congestion and Pre-Congestion Notification
Area                : Transport
Stream              : IETF
Verifying Party     : IESG
_______________________________________________
PCN mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/pcn

---

From: <[email-masked]>
Date: Fri, 23 Mar 2012 22:10:02 +0000

Hi Bob,

The reason of emphasizing this request is that the signaling protocol that is used to support the PCN signaling between PCN-egree-node to PCN-ingress-node  (i.e., draft-ietf-tsvwg-rsvp-pcn-01.txt ) supports the possibility of having more than one IEAs between the same pair of PCN edge nodes. 

In this way a requesting individual flow has a higher chance to be admitted to an IEA that is NOT in PCN-admission-state.

This is supported in the following way: 
When IEA supported by a PCN-ingress-node is in PCN-admission state, then based on local policy, a requesting e2e RSVP session (individual flow) should be either rejected or mapped to another IEA that is NOT in PCN-admission-state.

Best regards,
Georgios

________________________________________
Van: [email-masked] [[email-masked]] namens [email-masked] [[email-masked]]
Verzonden: vrijdag 23 maart 2012 22:48
Aan: [email-masked]; [email-masked]; [email-masked]; [email-masked]; [email-masked]; [email-masked]
CC: [email-masked]
Onderwerp: Re: [PCN] [Technical Errata Reported] RFC5559 (3164)

Hi Bob,

Best regards,
Georgios

Section: 4.2

Original Text
-------------

Corrected Text
--------------

Notes
-----

Instructions:
-------------

---

From: "Bradner, Scott" <[email-masked]>
Date: Sat, 24 Mar 2012 10:38:26 +0000

this looks correct to me and I think it should be accepted

Scott